Create Organisation Dns Record Api Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/dns/records"
payload = {
"name": "<string>",
"record_type": "<string>",
"content": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', record_type: '<string>', content: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/dns/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/dns/records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"record_type": "<string>",
"content": "<string>"
}
'{
"id": "<string>",
"name": "<string>",
"record_type": "<string>",
"content": "<string>",
"state": "<string>",
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"ttl": 123,
"last_error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}DNS
Create Organisation Dns Record Api Endpoint
POST
/
api
/
v1
/
org
/
dns
/
records
Create Organisation Dns Record Api Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/dns/records"
payload = {
"name": "<string>",
"record_type": "<string>",
"content": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', record_type: '<string>', content: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/dns/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/dns/records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"record_type": "<string>",
"content": "<string>"
}
'{
"id": "<string>",
"name": "<string>",
"record_type": "<string>",
"content": "<string>",
"state": "<string>",
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"ttl": 123,
"last_error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json